<?php  

echo 'Definiranje parametara za pristup Mongo bazi ... ';
$host = 'localhost'; $port = '27017';
$database = 'mongodbtest'; 
// $username = 'admin'; 
// $password = ''; 
$collection_name = 'phpradnik';
echo 'OK<br><br>';

echo 'Povezivanje s bazom ... ';
$connecting =  sprintf('mongodb://%s:%d/%s', $host, $port, $database); 
// $mongo = new Mongo($connecting, array('username'=> $username, 'password'=> $password));
$mongo = new Mongo($connecting);
echo 'OK<br><br>';


echo 'Kreiranje kolekcije ... ';
$db = $mongo->$database;
$db->dropCollection($collection_name);
$db->createCollection($collection_name);
$collection= $db->$collection_name;
echo 'OK<br><br>';


echo 'Dodavanje dokumenata u kolekciju ... ';
$radnik1 = array(ime =>'Josip',  prezime =>'Gregurić', jezik =>'njemački', telefon =>'099/111-2222');
$radnik2 = array(ime =>'Nenad',  prezime =>'Crnko', vozačka =>'B', jezik =>'engleski', telefon =>'092/191-2791', email=>'Nenad.Crnko@srce.hr');
$collection->insert($radnik1);
$collection->insert($radnik2);
echo 'OK<br><br>';


echo 'Čitanje podataka iz kolekcije: <br>';
$data=$collection->find();
foreach($data as $doc) {
	echo $doc['ime'] . ' ' . $doc['prezime'] . ' (' . $doc['telefon'] . ')<br>';
}

$data=$collection->find( [ 'telefon' =>'092/191-2791', 'jezik' =>'engleski'] );
foreach($data as $doc) {
	echo $doc['ime'] . ' ' . $doc['prezime'] . ' (' . $doc['telefon'] . ')<br>';
}

?>  